rasterio package
================

.. automodule:: rasterio
    :members:
    :undoc-members:
    :show-inheritance:

Submodules
----------

.. toctree::

   rasterio.aws
   rasterio.coords
   rasterio.crs
   rasterio.dtypes
   rasterio.enums
   rasterio.errors
   rasterio.features
   rasterio.fill
   rasterio.mask
   rasterio.merge
   rasterio.plot
   rasterio.profiles
   rasterio.sample
   rasterio.transform
   rasterio.vfs
   rasterio.warnings
   rasterio.warp
   rasterio.windows


Source Interface
-----------------

Instances of these classes are returned from
``rasterio.open``

.. autoclass:: rasterio._io.RasterReader
    :inherited-members:

.. autoclass:: rasterio._io.RasterUpdater
    :inherited-members:
